package com.citygis.web.controller;

import com.citygis.common.core.domain.model.LoginBody;
import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.reactive.function.client.WebClient;
import reactor.core.publisher.Mono;

/**
 * @Author: zyl
 * @CreateTime: 2025-01-08
 * @Description: 获取catalogToken
 * @Version: 1.0
 */
@Api(tags = "获取catalogtoken")
@CrossOrigin
@RestController
@RequestMapping("/web")
public class GetTokenController {

    @Value("${catalog.url}")
    private String url;

    @Autowired
    private WebClient.Builder webClientBuilder;


    @PostMapping("/user")
    public Mono<ResponseEntity<String>> forwardPostRequest(@RequestBody LoginBody loginBody) {

        // 目标URL
        String targetUrl = url + "/token";  // 替换为实际的目标URL

        // 创建WebClient实例
        WebClient webClient = webClientBuilder.baseUrl(targetUrl).build();

        // 使用WebClient发送POST请求，并携带请求体
        return webClient.post()
                .uri("")  // 目标URL的路径部分
                .bodyValue(loginBody)  // 将User对象作为请求体
                .retrieve()
                .toEntity(String.class)
                .map(response -> ResponseEntity
                        .status(response.getStatusCode())
                        .body(response.getBody()));
    }

}
