package com.citygis.web.controller;


import com.citygis.common.core.domain.AjaxResult;
import com.citygis.web.domain.TabAccessFeedback;
import com.citygis.web.service.ITabAccessFeedbackService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

/**
 * <p>
 * 接入反馈表 前端控制器
 * </p>
 *
 * @author citygis
 * @since 2025-01-07
 */
@Api(tags = "接入反馈")
@RestController
@RequestMapping("/web/tab-access-feedback")
public class TabAccessFeedbackController {

    @Resource
    ITabAccessFeedbackService tabAccessFeedbackService;

    @ApiOperation("接入反馈详情")
    @GetMapping("getTabAccessFeedbackById/{id}")
    public AjaxResult getTabAccessFeedbackById(@PathVariable Long id) throws NoSuchMethodException {
        return tabAccessFeedbackService.getTabAccessFeedbackById(id);
    }

    @ApiOperation("添加接入反馈")
    @PostMapping("insertTabAccessFeedback")
    public AjaxResult insertTabAccessFeedback(@Validated @RequestBody TabAccessFeedback tabAccessFeedback) {
        return tabAccessFeedbackService.insertTabAccessFeedback(tabAccessFeedback);
    }

    @ApiOperation("修改接入反馈")
    @PutMapping("updateTabAccessFeedbackById")
    AjaxResult updateTabAccessFeedbackById(@RequestBody TabAccessFeedback tabAccessFeedback) throws NoSuchMethodException {
        return tabAccessFeedbackService.updateTabAccessFeedbackById(tabAccessFeedback);
    }

    @ApiOperation("逻辑删除接入反馈")
    @PutMapping("falseDeleteTabAccessFeedbackById/{id}")
    public AjaxResult falseDeleteTabAccessFeedbackById(@PathVariable Long id) throws NoSuchMethodException {
        return tabAccessFeedbackService.falseDeleteTabAccessFeedbackById(id);
    }

}

