package com.citygis.web.controller;


import com.citygis.common.core.controller.BaseController;
import com.citygis.common.core.page.TableDataInfo;
import com.citygis.web.domain.TabSystemMsg;
import com.citygis.web.service.ITabSystemMsgService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author citygis
 * @since 2025-01-09
 */
@Api(tags = "统一分析")
@RestController
@RequestMapping("/web/tab-system-msg")
public class TabSystemMsgController extends BaseController {

    @Resource
    ITabSystemMsgService tabSystemMsgService;

    @ApiOperation("统一分析列表")
    @GetMapping("/getTabSystemMsgList")
    public TableDataInfo getTabSystemMsgList(TabSystemMsg tabSystemMsg) {
        startPage();
        return getDataTable(tabSystemMsgService.getTabSystemMsgList(tabSystemMsg));
    }

}

