package com.citygis.web.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.citygis.common.core.domain.BaseEntity;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 * 接入反馈表
 * </p>
 *
 * @author citygis
 * @since 2025-01-07
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("TAB_ACCESS_FEEDBACK")
@ApiModel(value="TabAccessFeedback对象", description="接入反馈表")
public class TabAccessFeedback  extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    @TableField("ID")
    @TableId(value = "ID",type = IdType.ASSIGN_UUID)
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    @ApiModelProperty(value = "数据量描述")
    @TableField("DATA_COUNT")
    private String dataCount;

    @ApiModelProperty(value = "更新模式")
    @TableField("UPDATE_MODE")
    private String updateMode;

    @ApiModelProperty(value = "资源摘要")
    @TableField("RESOURCE_ABSTRACT")
    private String resourceAbstract;

    @ApiModelProperty(value = "资源来源")
    @TableField("RESOURCE_SOURCE")
    private String resourceSource;

    @ApiModelProperty(value = "格式类型")
    @TableField("FORMAT_TYPE")
    private String formatType;

    @ApiModelProperty(value = "数据资源名称")
    @TableField("DATA_MANE")
    private String dataMane;

    @ApiModelProperty(value = "接收方式")
    @TableField("ACCESS_TYPE")
    private String accessType;

    @ApiModelProperty(value = "提供方式")
    @TableField("OFFER_TYPE")
    private String offerType;

    @ApiModelProperty(value = "标识符")
    @TableField("CODE")
    private String code;

    @ApiModelProperty(value = "联系人")
    @TableField("PERSION")
    private String persion;

    @ApiModelProperty(value = "联系方式")
    @TableField("CONTACT")
    private String contact;

    @ApiModelProperty(value = "创建人ID")
    @TableField("USER_ID")
    private Long userId;

    @ApiModelProperty(value = "创建人部门ID")
    @TableField("DEPT_ID")
    private Long deptId;

    @ApiModelProperty(value = "是否删除：0未删除，1删除")
    @TableField("IS_DEL")
    private Integer isDel;

    @ApiModelProperty(value = "是否启用：0未启用，1启用")
    @TableField("IS_APPLY")
    private Integer isApply;

    @ApiModelProperty(value = "接入方ID")
    @TableField("ACCESS_ID")
    private Long accessId;

    @ApiModelProperty(value = "接收频率")
    @TableField("ACCESS_COUNT")
    private String accessCount;

    @ApiModelProperty(value = "提供频率")
    @TableField("OFFER_COUNT")
    private String offerCount;

    @ApiModelProperty(value = "其他")
    @TableField("OTHER")
    private String other;

    @ApiModelProperty(value = "etl子类")
    @TableField(exist = false)
    private TabEtl etl;

    @ApiModelProperty(value = "kafka子类")
    @TableField(exist = false)
    private TabKafka kafka;

    @ApiModelProperty(value = "库表子类")
    @TableField(exist = false)
    private TabKb kb;

    @ApiModelProperty(value = "sftp子类")
    @TableField(exist = false)
    private TabSftp sftp;

    @ApiModelProperty(value = "url子类")
    @TableField(exist = false)
    private TabUrl url;

    @ApiModelProperty(value = "提供方ID")
    @TableField("OFFER_ID")
    private Long offerId;


}
