package com.citygis.web.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * KAFKA数据资源信息表
 * </p>
 *
 * @author citygis
 * @since 2025-01-07
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("TAB_KAFKA")
@ApiModel(value="TabKafka对象", description="KAFKA数据资源信息表")
public class TabKafka implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    @TableField("ID")
    @TableId(value = "ID",type = IdType.ASSIGN_UUID)
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    @ApiModelProperty(value = "Topic名（英文）")
    @TableField("TOPIC_ENGLISH_NAME")
    private String topicEnglishName;

    @ApiModelProperty(value = "topic名")
    @TableField("TOPIC_NAME")
    private String topicName;

    @ApiModelProperty(value = "topic描述")
    @TableField("TOPIC_DETAIL")
    private String topicDetail;

    @ApiModelProperty(value = "编目状态")
    @TableField("CATALOG_STATUS")
    private String catalogStatus;

    @ApiModelProperty(value = "应用场景")
    @TableField("SCENARIO")
    private String scenario;

    @ApiModelProperty(value = "提供方")
    @TableField("ACCRSS")
    private String accrss;

    @ApiModelProperty(value = "接收方")
    @TableField("OFFER")
    private String offer;

    @ApiModelProperty(value = "消费组")
    @TableField("CONSUMER_GROUP")
    private String consumerGroup;

    @ApiModelProperty(value = "六统一Kafka")
    @TableField("LIUTONGYI_KAFKA")
    private String liutongyiKafka;

    @ApiModelProperty(value = "调用频率")
    @TableField("APPLY_COUNT")
    private String applyCount;

    @ApiModelProperty(value = "每次请求数量")
    @TableField("COUNT_NUM")
    private String countNum;

    @ApiModelProperty(value = "描述")
    @TableField("DETAILE")
    private String detaile;

    @ApiModelProperty(value = "联调数据量")
    @TableField("DATA_COUNT")
    private String dataCount;

    @ApiModelProperty(value = "联调实施步骤")
    @TableField("STEPS")
    private String steps;

    @ApiModelProperty(value = "网络侧率确认")
    @TableField("INTERNET")
    private String internet;

    @ApiModelProperty(value = "接收/提供")
    @TableField("ACCESS_OR_OFFER")
    private String accessOrOffer;

    @ApiModelProperty(value = "接入反馈表id")
    @TableField("ACCESS_FEEDBACK_ID")
    private Long accessFeedbackId;

    @ApiModelProperty(value = "是否删除：0未删除，1删除")
    @TableField("IS_DEL")
    private Integer isDel;

    @ApiModelProperty(value = "接入数据资源详情")
    @TableField(exist = false)
    private List<TabDatasourceMsg> tabDatasourceMsgs;


}
